# Interface ResourceLimitedMapFunctor<Key,Value>

Type Parameters:
  `Key` - Used to find and create value.
  `Value` - Type stored in ResourceLimitedMap, which is created as necessary and finalized when it is the least-recently used.

public interface ResourceLimitedMapFunctor<Key,Value>
c.f. ResourceLimitedMap for details.

## Method Summary

Modifier and Type
Method
Description
`void`
`finalizeValue(Key key, Value value)`
Clean up an existing value in conjunction with removing from ResourceLimitedMap.
`Value`
`makeValue(Key key)`
Create a new value corresponding to the key

## Method Details

### makeValue

Value makeValue(Key key)
Create a new value corresponding to the key

Parameters:
  `key` -
Returns:
  a new value corresponding to the key

### finalizeValue

void finalizeValue(Key key, Value value)
Clean up an existing value in conjunction with removing from ResourceLimitedMap.

Parameters:
  `key` -
  `value` -